import request from '@/utils/request'

//新增
export function insertScriptEdgeNode(data) {
    return request({
        url: '/manage/script/updateScriptEdgeNode',
        method: 'post',
        data: data
    })
}
// 话术列表
export function selectScriptEdgeNode(id) {
    return request({
      url: `/manage/script/selectScriptEdgeNode?id=${id}`,
      method: 'get'
    })
  }
// 上传
export function uploadScriptInfo(data) {
  return request({
      url: '/manage/script/uploadScriptInfo',
      method: 'post',
      data: data
  })
}
// 修改接口
export function edit(data) {
  return request({
      url: '/manage/script/edit',
      method: 'put',
      data: data
  })
}



//路径任务话术预览
export function getFlowScheme(id) {
  return request({
    url: `/manage/signroute/getFlowScheme/${id}`,
    method: 'get'
  })
}
